using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Orders")]
	public partial class Order 
	{
		[Id("OrderID",IsDbGenerated=true)]
		public Int32 OrderId { get;set; }
		[Column("ShipVia")]
		public Int32? ShipVia { get;set; }
		[Column("EmployeeID")]
		public Int32? EmployeeId { get;set; }
		[Column("ShipAddress")]
		public String ShipAddress { get;set; }
		[Column("ShipCity")]
		public String ShipCity { get;set; }
		[Column("OrderDate")]
		public DateTime? OrderDate { get;set; }
		[Column("ShipRegion")]
		public String ShipRegion { get;set; }
		[Column("ShipName")]
		public String ShipName { get;set; }
		[Column("ShipCountry")]
		public String ShipCountry { get;set; }
		[Column("ShippedDate")]
		public DateTime? ShippedDate { get;set; }
		[Column("RequiredDate")]
		public DateTime? RequiredDate { get;set; }
		[Column("Freight")]
		public Decimal? Freight { get;set; }
		[Column("ShipPostalCode")]
		public String ShipPostalCode { get;set; }
		[Column("CustomerID")]
		public String CustomerId { get;set; }
 
		[ManyToOne(ThisKey="CustomerId",OtherKey="CustomerId")]
		public Customer Customer { get;set; }
		[ManyToOne(ThisKey="EmployeeId",OtherKey="EmployeeId")]
		public Employee Employee { get;set; }
		[ManyToOne(ThisKey="ShipVia",OtherKey="ShipperId")]
		public Shipper ShipVia1 { get;set; }
 
		[OneToMany(ThisKey="OrderId",OtherKey="OrderId")]
		public IList<OrderDetail> OrderDetails { get;set; }
 
	}
}
