using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Products")]
	public partial class Product 
	{
	
		[Id("ProductID",IsDbGenerated=true)]
		public Int32 ProductId { get;set; }
 
		[Column("Discontinued")]
		public Boolean Discontinued { get;set; }
		[Column("UnitsOnOrder")]
		public Int16? UnitsOnOrder { get;set; }
		[Column("ReorderLevel")]
		public Int16? ReorderLevel { get;set; }
		[Column("UnitPrice")]
		public Decimal? UnitPrice { get;set; }
		[Column("UnitsInStock")]
		public Int16? UnitsInStock { get;set; }
		[Column("SupplierID")]
		public Int32? SupplierId { get;set; }
		[Column("ProductName")]
		public String ProductName { get;set; }
		[Column("QuantityPerUnit")]
		public String QuantityPerUnit { get;set; }
		[Column("CategoryID")]
		public Int32? CategoryId { get;set; }
 
		[ManyToOne(ThisKey="CategoryId",OtherKey="CategoryId")]
		public Category Category { get;set; }
		[ManyToOne(ThisKey="SupplierId",OtherKey="SupplierId")]
		public Supplier Supplier { get;set; }
 
		[OneToMany(ThisKey="ProductId",OtherKey="ProductId")]
		public IList<OrderDetail> OrderDetails { get;set; }
 
	}
}
